﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace RadGridView_WPF_AR_23
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		ObservableCollection<Player> data;

		public MainWindow()
		{
			InitializeComponent();

			this.data = Player.GetPlayers();


			var view = new ListCollectionView(this.data);
			// permanent filter
			view.Filter = (o) => ((Player) o).Country == "England";

			this.playersGrid.ItemsSource = view;

		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{
			this.data.Add(new Player() { Country = "England" });
		}

		private void Button2_Click(object sender, RoutedEventArgs e)
		{

		}
	}
}
